using System;
public class Zadatak1
{
    public static void Main(string[] args)
    {
        string[] a = Console.ReadLine().Split();
        int n = int.Parse(a[0]);
        int l = int.Parse(a[1]);

        string[] visine = Console.ReadLine().Split();
        for (int i = 0; i < n; i++) 
        {
            int h = int.Parse(visine[i]);

            if (h <= l) 
            {
                Console.WriteLine(i + 1);
                return;
            }
        }

        Console.WriteLine(-1);
    }
}